#import "Book.h"
#import <stdio.h>					// for printf, fgets
#import <stdlib.h>					// for atoi
#define MAXLENGTH 100				// 記号定数
BOOL exist = NO;					// Book にデータが格納されているかどうかを表すフラッグ

void showBook(id book);			// Book のデータを表示する関数のプロトタイプ
void addBook(id book);			// Book にデータを格納する関数のプロトガイプ
								// 以前の enterBook 関数はなくなっています。
int main(void) {
	char ss[MAXLENGTH];		// ターミナルで入力された文字列を受ける変数
	id   book;				// オブジェクトのポインターを代入できる汎用の id 型変数
	BOOL quit;				// プログラムの終了が選択されているかどうかを表すフラッグ

	book = [[Book alloc] init];
	quit = NO;
	
	while ( ! quit ) {
		printf("表示=1 入力=5 終了=9 ");
		fgets(ss, MAXLENGTH, stdin);
		
		switch (atoi(ss)) {
			case 1:
				showBook(book);
				break;
			case 5:
				addBook(book);
				break;
			case 9:
				quit = YES;
				break;
		}
	}
	return 0;
}

void showBook(id book) {
	if ( ! exist ) {
		printf("何もデータが入力されていません.\n");
		return;
	}
	puts("------------------------------");
	
	printf("%s", [[book name] cStringUsingEncoding:NSUTF8StringEncoding]);
	printf("%s", [[book address] cStringUsingEncoding:4]);
	printf("%s", [[book phone] cStringUsingEncoding:4]);
	printf("%s", [[book email] cStringUsingEncoding:4]);
}

void addBook( id book) {
	char ss[MAXLENGTH];		// ターミナルで入力された文字列を受ける変数
	
	printf("氏　　名:");
	fgets(ss, MAXLENGTH, stdin);
	[book setName:[NSString stringWithUTF8String:ss]];
	printf("住　　所:");
	fgets(ss, MAXLENGTH, stdin);
	[book setAddress:[NSString stringWithUTF8String:ss]];
	printf("電話番号:");
	fgets(ss, MAXLENGTH, stdin);
	[book setPhone:[NSString stringWithUTF8String:ss]];
	printf("Ｅメール:");
	fgets(ss, MAXLENGTH, stdin);
	[book setEmail:[NSString stringWithUTF8String:ss]];
	
	exist = YES;
}
	